\version "2.24.1"

N = 31
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new Flute { \I.Flute }
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
        >>
        \new StaffGroup
          \new Horns \with { instrumentName = "Horns in D" } <<
            \new HornIandII   \with { key=d }
              \partCombine #'(0 . 14) \I.Horn.1 \I.Horn.2
            \new HornIIIandIV \with { key=d }
              \partCombine #'(0 . 12) \I.Horn.3 \I.Horn.4
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \I.Violin.1 }
            \new ViolinII { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new CBB { \I.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout II }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks II
        \II.structure
        \new StaffGroup
          \new Horns <<
            \new HornIandII   \with { key=d } \partCombine \II.Horn.1 \II.Horn.2
            \new HornIIIandIV \with { key=g } \partCombine \II.Horn.3 \II.Horn.4
          >>
        \new StaffGroup <<
          \new ViolinSolo \with { \override BarLine.allow-span-bar = ##f } { \II.Violin.solo }
          \new Violins <<
            \new ViolinI  { \II.Violin.1 }
            \new ViolinII { \II.Violin.2 }
          >>
          \new Viola { \II.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CelloSolo { \II.CelloSolo }
            \new CB { \II.Cello }
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout III }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.structure
        \new StaffGroup <<
          \new Flute { \III.Flute }
          \new OboeIandII \partCombine \III.Oboe.1 \III.Oboe.2
        >>
        \new StaffGroup
          \new Horns \with { instrumentName = "Horns in D" } <<
            \new HornIandII   \with { key=d }
              \partCombine #'(0 . 9)  \III.Horn.1 \III.Horn.2
            \new HornIIIandIV \with { key=d }
              \partCombine #'(0 . 11) \III.Horn.3 \III.Horn.4
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new CBB   { \III.Cello }
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper { ragged-last-bottom = ##f }
    \maxsystems 4
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IV.Violin.1 }
            \new ViolinII { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB    { \IV.Cello }
        >>
      >>
    }
    \score {
      \layout { \breaklayout IVa }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IVa
        \IVa.structure
        \new StaffGroup <<
          \new Oboes <<
            \new OboeI  { \IVa.Oboe.1 }
            \new OboeII { \IVa.Oboe.2 }
          >>
        >>
        \new StaffGroup
          \new Horns <<
            \new HornIIIandIV \with { key=d } \partCombine #'(0 . 11) \IVa.Horn.3 \IVa.Horn.4
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IVa.Violin.1 }
            \new ViolinII { \IVa.Violin.2 }
          >>
          \new Viola { \IVa.Viola }
          \new CB    { \IVa.Cello }
        >>
      >>
    }
    \score {
      \layout { \breaklayout IVb }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IVb
        \IVb.structure
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IVb.Violin.1 }
            \new ViolinII { \IVb.Violin.2 }
          >>
          \new Viola { \IVb.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CelloSolo { \IVb.CelloSolo }
            \new CB        { \IVb.Cello }
          >>
        >>
      >>
    }
    \score {
      \layout { \breaklayout IVc }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IVc
        \IVc.structure
        \new StaffGroup <<
          \new Flute { \IVc.Flute }
        >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IVc.Violin.1 }
            \new ViolinII { \IVc.Violin.2 }
          >>
          \new Viola { \IVc.Viola }
          \new CB    { \IVc.Cello }
        >>
      >>
    }
  }
  \bookpart {
    \paper { ragged-last-bottom = ##f }
    \maxsystems 2
    \score {
      \layout { \breaklayout IVd }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IVd
        \IVd.structure
        \new StaffGroup
          \new Horns \with { instrumentName = "Horns in D" } <<
            \new HornI   \with { key=d } { \IVd.Horn.1 }
            \new HornII  \with { key=d } { \IVd.Horn.2 }
            \new HornIII \with { key=d } { \IVd.Horn.3 }
            \new HornIV  \with { key=d } { \IVd.Horn.4 }
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IVd.Violin.1 }
            \new ViolinII { \IVd.Violin.2 }
          >>
          \new Viola { \IVd.Viola }
          \new CB    { \IVd.Cello }
        >>
      >>
    }
  }
  \bookpart {
    \paper { ragged-last-bottom = ##f }
    \maxsystems 4
    \score {
      \layout { \breaklayout IVe }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IVe
        \IVe.structure
        \new StaffGroup <<
          \new ViolinSolo { \IVe.Violin.solo }
          \new Violins <<
            \new ViolinI  { \IVe.Violin.1 }
            \new ViolinII { \IVe.Violin.2 }
          >>
          \new Viola { \IVe.Viola }
          \new CB    { \IVe.Cello }
        >>
      >>
    }
  }
  \bookpart {
    \paper { ragged-last-bottom = ##f }
    \maxsystems 2
    \score {
      \layout { \breaklayout IVf }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IVf
        \IVf.structure
        \new StaffGroup <<
          \new Flute { \IVf.Flute }
          \new OboeIandII \partCombine \IVf.Oboe.1 \IVf.Oboe.2
        >>
        \new StaffGroup
          \new Horns \with { instrumentName = "Horns in D" } <<
            \new HornIandII   \with { key=d }
              \partCombine #'(0 . 12) \IVf.Horn.1 \IVf.Horn.2
            \new HornIIIandIV \with { key=d }
              \partCombine #'(0 . 11) \IVf.Horn.3 \IVf.Horn.4
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IVf.Violin.1 }
            \new ViolinII { \IVf.Violin.2 }
          >>
          \new Viola { \IVf.Viola }
          \new CB    { \IVf.Cello }
        >>
      >>
    }
  }
  \bookpart {
    \paper { ragged-last-bottom = ##f }
    \maxsystems 4
    \score {
      \layout { \breaklayout IVg }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IVg
        \IVg.structure
        \new StaffGroup \with { \RemoveEmptyStaves } <<
          \new Violins <<
            \new ViolinI  { \IVg.Violin.1 }
            \new ViolinII { \IVg.Violin.2 }
          >>
          \new Viola { \IVg.Viola }
          \new BassSolo { \IVg.BassSolo }
          \new Cello    { \IVg.Cello }
        >>
      >>
    }
  }
  \bookpart {
    \paper{}
    \maxsystems 2
    \score {
      \layout { \breaklayout IVh \spacing #1/32 }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IVh
        \IVh.structure
        \new StaffGroup <<
          \new Flute { \IVh.Flute }
          \new OboeIandII \partCombine \IVh.Oboe.1 \IVh.Oboe.2
        >>
        \new StaffGroup
          \new Horns \with { instrumentName = "Horns in D" } <<
            \new HornIandII   \with { key=d }
              \partCombine           \IVh.Horn.1 \IVh.Horn.2
            \new HornIIIandIV \with { key=d }
              \partCombine #'(0 . 9) \IVh.Horn.3 \IVh.Horn.4
          >>
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \IVh.Violin.1 }
            \new ViolinII { \IVh.Violin.2 }
          >>
          \new Viola { \IVh.Viola }
          \new CB    { \IVh.Cello }
        >>
      >>
    }
  }
}
